- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS
  - closedir
  - openedir
  - readdir

# NAME

vms - VMS Utility Methods for ImageMagick

# SYNOPSIS

readdir( entry );

# FUNCTION DESCRIPTIONS

## closedir

Method closedir closes the named directory stream and frees the DIR structure.

The format of the closedir method is:

A description of each parameter follows:

entry:

  Specifies a pointer to a DIR structure.

## openedir

Method opendir opens the directory named by filename and associates a directory stream with it.

The format of the opendir method is:

        opendir(entry)

A description of each parameter follows:

entry:

  Specifies a pointer to a DIR structure.

## readdir

Method readdir returns a pointer to a structure representing the directory entry at the current position in the directory stream to which entry refers.

The format of the readdir

> readdir ( entry );

A description of each parameter follows:

entry:

  Specifies a pointer to a DIR structure.